Bug 1634166 (CVE-2018-0505) - CVE-2018-0505 mediawiki: BotPassword can bypass CentralAuth's account lock
Summary: CVE-2018-0505 mediawiki: BotPassword can bypass CentralAuth's account lock
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-0505
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1742214 1742215 1634167 1710099 1734834 1734835
Blocks: 1634171
TreeView+ depends on / blocked
 
Reported: 2018-09-28 20:37 UTC by Pedro Sampaio
Modified: 2019-11-07 16:54 UTC (History)
16 users (show)

Fixed In Version: mediawiki 1.31.1, mediawiki 1.30.1, mediawiki 1.29.3, mediawiki 1.27.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-18 06:51:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3142 None None None 2019-10-18 01:31:04 UTC
Red Hat Product Errata RHSA-2019:3238 None None None 2019-10-29 16:09:16 UTC
Red Hat Product Errata RHSA-2019:3813 None None None 2019-11-07 16:54:02 UTC

Description Pedro Sampaio 2018-09-28 20:37:39 UTC
As reported:

A flaw was found in mediawiki where a unpriviliged login may bypass account lock.

Upstream bug:

https://phabricator.wikimedia.org/T194605

References:

https://lists.wikimedia.org/pipermail/mediawiki-announce/2018-September/000223.html

Comment 1 Pedro Sampaio 2018-09-28 20:38:14 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1634167]

Comment 3 Dave Baker 2019-05-14 21:05:01 UTC
Updating affected products; mediawiki-123 is the container name, mediawiki123 is the package name.

Comment 7 errata-xmlrpc 2019-10-18 01:31:02 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3142 https://access.redhat.com/errata/RHSA-2019:3142

Comment 8 Product Security DevOps Team 2019-10-18 06:51:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-0505

Comment 9 errata-xmlrpc 2019-10-29 16:09:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.10

Via RHSA-2019:3238 https://access.redhat.com/errata/RHSA-2019:3238

Comment 10 errata-xmlrpc 2019-11-07 16:54:01 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2019:3813 https://access.redhat.com/errata/RHSA-2019:3813


Note You need to log in before you can comment on or make changes to this bug.